﻿Type=Class
Version=3.61
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private animator As SpriteAnimator
	Private bd As BitmapData
	Private game As GameManager
	Public delete As Boolean
End Sub

Public Sub Initialize (vBD As BitmapData, vAnimator As SpriteAnimator, vGame As GameManager, _ 
		x As Int, y As Int, size As Int)
	animator = vAnimator
	game = vGame
	bd = vBD
	bd.DestRect = GameUtils.CreateRect(x, y, animator.width, animator.height)
	animator.vx = Rnd(2, 5) * game.TimeScale
	animator.vy = Rnd(2, 5) * game.TimeScale
	If Rnd(1, 3) = 2 Then animator.vx = -animator.vx
	If Rnd(1, 3) = 2 Then animator.vy = -animator.vy
	
End Sub

Public Sub Tick
	'the animator will move the asteroid and animate it.
	animator.Tick(bd)
End Sub

Public Sub RemoveFromGameView
	bd.delete = True
End Sub

Public Sub Explode
	RemoveFromGameView
	delete = True 'this will cause GameManager to remove the asteroid from the list.
	'If this is a large asteroid then we add two new smaller asteroids instead of this one
	If animator.width > 70 Then
		game.AddAsteroid(bd.DestRect.Left, bd.DestRect.Top, animator.width / 2)
		game.AddAsteroid(bd.DestRect.Left, bd.DestRect.Top, animator.width / 2)
	End If
End Sub

Public Sub GetRect As Rect
	Return bd.DestRect
End Sub
