﻿Type=StaticCode
Version=3.61
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
End Sub

Public Sub LoadSpritesFromSheet(Bmp As Image, Columns As Int, Rows As Int) As BitmapData(,)
	Dim bds(Columns, Rows) As BitmapData
	Dim x, y As Float
	x = Bmp.Width / Columns
	y = Bmp.Height / Rows
	For c = 0 To Columns - 1
		For R = 0 To Rows - 1
			bds(c, R).Bitmap = Bmp 'all the sprites point to the same whole bitmap
			bds(c, R).SrcRect = CreateRect(c * x, R * y, x, y)
		Next
	Next
	Return bds
End Sub


Public Sub CreateRect(x As Double, y As Double, Width As Double, Height As Double) As Rect
	Dim r As Rect
	r.Left = x
	r.Top = y
	r.Width = Width
	r.Height = Height
	Return r
End Sub
