﻿Type=Class
Version=3.61
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private fx As JFX
	Type BitmapData (Bitmap As Image, SrcRect As Rect, DestRect As Rect, _
		Rotate As Double, Flip As Int, Delete As Boolean, Tag As Object)
	Public BitmapsData As List
	Private cvs As Canvas
	Private gvh As GameViewHelper
End Sub

Public Sub Initialize
	BitmapsData.Initialize
	cvs.Initialize("cvs")
End Sub

Public Sub getWidth As Double
	Return cvs.Width
End Sub

Public Sub getHeight As Double
	Return cvs.Height
End Sub

Public Sub getAsNode As Node
	Return cvs
End Sub

public Sub Draw
	Dim i As Int = 0
	cvs.ClearRect(0, 0, cvs.Width, cvs.Height)
	Do While i < BitmapsData.Size
		Dim bd As BitmapData = BitmapsData.Get(i)
		If bd.Delete Then
			BitmapsData.RemoveAt(i)
			Continue
		End If
		gvh.DrawImageRotateAndFlipped(cvs, bd.Bitmap, bd.SrcRect, bd.DestRect, bd.Rotate, bd.Flip)
		i = i + 1
	Loop
End Sub